## foo2zjs 20130306dfsg0

=== Makefile ===
LANG=C
UNAME := $(shell uname)
MACH := $(shell uname -m | sed 's/i.86/x86_32/')

ifeq ($(UNAME),SunOS)
    EUID := $(shell /usr/xpg4/bin/id -u)
    SHELL=bash
    CC=gcc
    OLDGROFF=OLDGROFF
else
    EUID := $(shell id -u)
endif

SYSNAME := $(shell uname -n)

# No version number yet...
VERSION=0.0

# Installation prefix...
PREFIX=/usr/local
PREFIX=/usr
PREFIX=$(DESTDIR)/usr

# Pathnames for this package...
BIN=$(PREFIX)/bin
SHAREZJS=$(PREFIX)/share/foo2zjs
SHAREOAK=$(PREFIX)/share/foo2oak
SHAREHP=$(PREFIX)/share/foo2hp
SHAREXQX=$(PREFIX)/share/foo2xqx
SHARELAVA=$(PREFIX)/share/foo2lava
SHAREQPDL=$(PREFIX)/share/foo2qpdl
SHARESLX=$(PREFIX)/share/foo2slx
SHAREHC=$(PREFIX)/share/foo2hiperc
SHAREHBPL=$(PREFIX)/share/foo2hbpl
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/foo2zjs/
INSTALL=install
ROOT=root

# Pathnames for referenced packages...
FOODB=$(DESTDIR)/usr/share/foomatic/db/source

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
    #ROOT=sudo
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

# Definition of modtime()
MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
ifeq ($(UNAME),FreeBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),OpenBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),Darwin)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),SunOS)
    MODTIME= `ls -e $$1 | cut -c42-61`
endif

#
# Files for tarball
#
NULL=
WEBFILES=	\
		foo2zjs.html.in \
		style.css \
		archzjs.fig \
		2300.png \
		2430.png \
		1020.png \
		foo2oak.html.in \
		archoak.fig \
		1500.gif \
		foo2hp.html.in \
		archhp.fig \
		2600.gif \
		foo2xqx.html.in \
		archxqx.fig \
		m1005.gif \
		foo2lava.html.in \
		archlava.fig \
		2530.gif \
		foo2qpdl.html.in \
		archqplp.fig \
		foo2slx.html.in \
		archslx.fig \
		c500n.png \
		foo2hiperc.html.in \
		archhiperc.fig \
		c3400n.png \
		$(NULL)
	
FILES	=	\
		README \
		README.in \
		INSTALL \
		INSTALL.in \
		INSTALL.osx \
		INSTALL.usb \
		COPYING \
		ChangeLog \
		Makefile \
		foo2zjs.c \
		foo2zjs.1in \
		jbig.c \
		jbig.h \
		jbig_ar.c \
		jbig_ar.h \
		zjsdecode.c \
		zjsdecode.1in \
		zjs.h \
		foo2hp.c \
		foo2hp.1in \
		foo2xqx.c \
		foo2xqx.1in \
		foo2lava.c \
		foo2lava.1in \
		foo2qpdl.c \
		foo2qpdl.1in \
		foo2slx.c \
		foo2slx.1in \
		foo2hiperc.c \
		foo2hiperc.1in \
		hbpl.h \
		foo2hbpl2.c \
		foo2hbpl2.1in \
		cups.h \
		xqx.h \
		xqxdecode.c \
		xqxdecode.1in \
		lavadecode.c \
		lavadecode.1in \
		qpdl.h \
		qpdldecode.c \
		qpdldecode.1in \
		opldecode.c \
		opldecode.1in \
		slx.h \
		slxdecode.c \
		slxdecode.1in \
		gipddecode.c \
		gipddecode.1in \
		hbpldecode.c \
		hbpldecode.1in \
		foo2zjs-wrapper.in \
		foo2zjs-wrapper.1in \
		foo2hp2600-wrapper.in \
		foo2hp2600-wrapper.1in \
		foo2xqx-wrapper.in \
		foo2xqx-wrapper.1in \
		foo2lava-wrapper.in \
		foo2lava-wrapper.1in \
		foo2qpdl-wrapper.in \
		foo2qpdl-wrapper.1in \
		foo2slx-wrapper.in \
		foo2slx-wrapper.1in \
		foo2hiperc-wrapper.in \
		foo2hiperc-wrapper.1in \
		foo2hbpl2-wrapper.in \
		foo2hbpl2-wrapper.1in \
		gamma.ps \
		gamma-lookup.ps \
		align.ps \
		testpage.ps \
		foomatic-db/*/*.xml \
		foomatic-test \
		getweb.in \
		icc2ps/*.[ch] \
		icc2ps/*.1in \
		icc2ps/Makefile \
		icc2ps/AUTHORS \
		icc2ps/COPYING \
		icc2ps/README \
		icc2ps/README.foo2zjs \
		osx-hotplug/Makefile \
		osx-hotplug/*.m \
		osx-hotplug/*.1in \
		ppd-adjust \
		PPD/*.ppd \
		crd/zjs/*.crd \
		crd/zjs/*.ps \
		crd/qpdl/*cms* \
		crd/qpdl/*.ps \
		arm2hpdl.c \
		arm2hpdl.1in \
		usb_printerid.c \
		usb_printerid.1in \
		hplj1000 \
		hplj10xx.rules* \
		msexpand \
		oak.h \
		foo2oak.c \
		foo2oak.1in \
		oakdecode.c \
		oakdecode.1in \
		foo2oak-wrapper.in \
		foo2oak-wrapper.1in \
		hiperc.h \
		hipercdecode.c \
		hipercdecode.1in \
		c5200mono.prn \
		foo2zjs-pstops.sh \
		foo2zjs-pstops.1in \
		hplj1020.desktop \
		hplj1020_icon.png \
		hplj1020_icon.gif \
		hplj10xx_gui.tcl \
		includer-man \
		macros.man \
		regress.txt \
		printer-profile.sh \
		printer-profile.1in \
		freebsd-install \
		hplj10xx.conf \
		modify-ppd \
		command2foo2lava-pjl.c \
		$(NULL)

# CUPS vars
CUPS_SERVERBIN := $(DESTDIR)$(shell cups-config --serverbin 2>/dev/null)
CUPS_DEVEL := $(shell grep cupsSideChannelDoRequest /usr/include/cups/sidechannel.h 2>/dev/null)
CUPS_GOODAPI := $(shell cups-config --api-version 2>/dev/null | sed "s/1\.[0123].*//")

# hpclj2600n-0.icm km2430_0.icm km2430_1.icm km2430_2.icm samclp300-0.icm
# sihp1000.img sihp1005.img sihp1020.img sihp1018.img
# sihpP1005.img sihpP1006.img sihpP1505.img

# Programs and libraries
PROGS=		foo2zjs zjsdecode arm2hpdl foo2hp foo2xqx xqxdecode
PROGS+=		foo2lava lavadecode foo2qpdl qpdldecode opldecode
PROGS+=		foo2oak oakdecode
PROGS+=		foo2slx slxdecode
PROGS+=		foo2hiperc hipercdecode
PROGS+=		foo2hbpl2 hbpldecode
PROGS+=		gipddecode
ifneq ($(CUPS_SERVERBIN),)
    ifneq ($(CUPS_DEVEL),)
	ifneq ($(CUPS_GOODAPI),)
	    PROGS+=	command2foo2lava-pjl
	endif
    endif
endif
SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
		foo2xqx-wrapper foo2lava-wrapper foo2qpdl-wrapper \
		foo2slx-wrapper foo2hiperc-wrapper foo2hbpl2-wrapper
SHELLS+=	foo2zjs-pstops
SHELLS+=	printer-profile
MANPAGES=	foo2zjs-wrapper.1 foo2zjs.1 zjsdecode.1
MANPAGES+=	foo2oak-wrapper.1 foo2oak.1 oakdecode.1
MANPAGES+=	foo2hp2600-wrapper.1 foo2hp.1
MANPAGES+=	foo2xqx-wrapper.1 foo2xqx.1 xqxdecode.1
MANPAGES+=	foo2lava-wrapper.1 foo2lava.1 lavadecode.1 opldecode.1
MANPAGES+=	foo2qpdl-wrapper.1 foo2qpdl.1 qpdldecode.1
MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
MANPAGES+=	foo2hbpl2-wrapper.1 foo2hbpl2.1 hbpldecode.1
MANPAGES+=	gipddecode.1
MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
MANPAGES+=	printer-profile.1
LIBJBG	=	jbig.o jbig_ar.o
BINPROGS=

ifeq ($(UNAME),Linux)
	BINPROGS += usb_printerid
endif

# Compiler flags
#CFLAGS +=	-O2 -Wall -Wno-unused-but-set-variable
CFLAGS +=	-O2 -Wall 
#CFLAGS +=	-g

#
# Rules to create test documents
#
GX=10200
GY=6600
GXR=1200
GYR=600
GSOPTS=	-q -dBATCH -dSAFER -dQUIET -dNOPAUSE -sPAPERSIZE=letter -r$(GXR)x$(GYR)
JBGOPTS=-m 16 -d 0 -p 92	# Equivalent options for pbmtojbg

.SUFFIXES: .ps .pbm .pgm .pgm2 .ppm .ppm2 .zjs .cmyk .pksm .zc .zm .jbg \
	   .cups .cupm .1 .1in .fig .gif .xqx .lava .qpdl .slx .hc .hbpl

.fig.gif:
	fig2dev -L gif $*.fig | giftrans -t "#ffffff" -o $*.gif
	# fig2dev -L ppm  $*.fig | pnmquant -fs 256 \
	    #| ppmtogif -transparent rgb:ff/ff/ff >$*.gif

.ps.cups:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=6 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cups $*.ps

.ps.cupm:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=3 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cupm $*.ps

.ps.pbm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=$*.pbm $*.ps

.ps.ppm:
	gs $(GSOPTS) -sDEVICE=ppmraw -sOutputFile=$*.ppm $*.ps

.ps.pgm:
	gs $(GSOPTS) -sDEVICE=pgmraw -sOutputFile=- $*.ps \
	| pnmdepth 3 > $*.pgm

.ps.pgm2:
	gs.rick $(GSOPTS) -sDEVICE=pgmraw2 -sOutputFile=$*.pgm2 $*.ps

.ps.cmyk:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=$*.cmyk $*.ps

.ps.pksm:
	gs $(GSOPTS) -sDEVICE=pksmraw -sOutputFile=$*.pksm $*.ps

.ps.zc:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zc

.ps.zm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zm

.pbm.zjs:
	./foo2zjs < $*.pbm > $*.zjs

.cmyk.zjs:
	./foo2zjs < $*.cmyk > $*.zjs

.pksm.zjs:
	./foo2zjs < $*.pksm > $*.zjs

.pbm.xqx:
	./foo2xqx < $*.pbm > $*.xqx

.pbm.qpdl:
	./foo2qpdl < $*.pbm > $*.qpdl

.pbm.slx:
	./foo2slx < $*.pbm > $*.slx

.pbm.hc:
	./foo2hiperc < $*.pbm > $*.hc

.pbm.hbpl:
	./foo2hbpl2 < $*.pbm > $*.hbpl

#
# The usual build rules
#
all:	all-test $(PROGS) $(BINPROGS) $(SHELLS) getweb \
	all-icc2ps all-osx-hotplug man doc \
	all-done

all-test:
	#
	# Dependencies...
	#
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type gs >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: gs is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install ghostscript (gs) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type dc >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: dc is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install dc package"; \
	    echo "      *** for Ubuntu: sudo apt-get install dc"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! dc -V >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: must install GNU dc with the -e option!"; \
	    echo "      ***"; \
	    exit 1; \
	fi
ifeq ($(UNAME),Darwin)
	@if ! type gsed >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: gsed is not installed!"; \
	    echo "      ***"; \
	    echo "      *** For OSX: sudo port install gsed"; \
	    echo "      ***"; \
	    exit 1; \
	fi
endif
	# ... OK!
	#

all-done:
	@echo
	@echo "It is possible that certain products which can be built using this"
	@echo "software module might form inventions protected by patent rights in"
	@echo "some countries (e.g., by patents about arithmetic coding algorithms"
	@echo "owned by IBM and AT&T in the USA). Provision of this software by the"
	@echo "author does NOT include any licences for any patents. In those"
	@echo "countries where a patent licence is required for certain applications"
	@echo "of this software module, you will have to obtain such a licence"
	@echo "yourself."


foo2zjs: foo2zjs.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2zjs.o $(LIBJBG)

foo2hp: foo2hp.o $(LIBJBG)
	# $(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG) /usr/local/lib/libdmalloc.a
	$(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG)

foo2xqx: foo2xqx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2xqx.o $(LIBJBG)

foo2lava: foo2lava.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2lava.o $(LIBJBG)

foo2qpdl: foo2qpdl.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2qpdl.o $(LIBJBG)

foo2oak: foo2oak.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2oak.o $(LIBJBG)

foo2slx: foo2slx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2slx.o $(LIBJBG)

foo2hiperc: foo2hiperc.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2hiperc.o $(LIBJBG)

foo2hbpl2: foo2hbpl2.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2hbpl2.o $(LIBJBG)


foo2zjs-wrapper: foo2zjs-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2hp2600-wrapper: foo2hp2600-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2xqx-wrapper: foo2xqx-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2lava-wrapper: foo2lava-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2qpdl-wrapper: foo2qpdl-wrapper.in Makefile

=== debian/changelog ===
foo2zjs (20130306dfsg0-1ubuntu1) raring; urgency=low

  * Removed "Recommends: foomatic-db-engine"(LP: #1152831).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat,  9 Mar 2013 08:54:07 +0100

foo2zjs (20130306dfsg0-1) experimental; urgency=low

  * New 20130306 upstream release.
    - Cleanup on foo2hblp2.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Amend 20130220dfsg0-2 changelog entry to revert the
    Depends/Recommends explanation between Ubuntu and Debian back to
    what was implemented.
  * Add get-orig-source target to facilitate new upstream version
    import.
  * Add foo2hblp2 in Description.

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Mar 2013 15:13:33 +0100

foo2zjs (20130303dfsg0-1) experimental; urgency=low

  * New 20130303 upstream release. (LP: #984424)
    - Experimental support for three new printers:
      - Fuji Xerox DocuPrint CP205
      - Dell 1355
      - Xerox WorkCentre 6015
    - Refresh all patches
    - Add foo2hbpl2 binary, wrapper and manpages

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Rewrite the package content installation to allow the use of
    --fail-missing in dh_install.
  * Install all available PPDs before the pyppd run, to make sure we
    don't forget one.
  * Rewrite debian/copyright with Copyright-Format 1.0 style.
  * Rebuild PPDs because we can.
    - Add foomatic-db-engine to Build-Depends;
    - Update 10-makefile.patch to use system-provided foomatic-ppdfile;
    - Run 'all' and 'ppd' Makefile targets.

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Mar 2013 10:37:06 +0100

foo2zjs (20130220dfsg0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Add time to Build-Depends, helps getting the tests run further.
  * Update 10-makefile.patch to enforce LDFLAGS usage and another case
    of CFLAGS overriding; also add DEP-3 headers.
  * Put mscompress to Recommends on Debian and to Depends on Ubuntu and
    derivatives, drops the need of a hand-merge by Ubuntu.

  [ Till Kamppeter ]
  * Add 96-hplj1000-fix-cups-usb-backend-firmware-upload.patch.
    The firmware upload script tried to upload the firmware via the usblp
    kernel module and with the CUPS USB backend (using libusb) in parallel,
    making the printer crash. (LP: #1003843)

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 18:32:51 +0100

foo2zjs (20130220dfsg0-1) experimental; urgency=low

  * New 20130220 upstream release. (LP: #1130918)
    - Install new printer's PPDs

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 08:29:02 +0100

foo2zjs (20130113dfsg0-1) experimental; urgency=low

  * New 20130113 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Sun, 13 Jan 2013 17:01:27 +0100

## foo2zjs 20130826dfsg0

=== debian/changelog ===
foo2zjs (20130826dfsg0-0ubuntu2) saucy; urgency=low

  * No-change rebuild to get improved PPD archives via pyppd 1.0.0-3ubuntu1.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  2 Sep 2013 22:08:03 +0200

foo2zjs (20130826dfsg0-0ubuntu1) saucy; urgency=low

  * New 20130826 upstream release
    - Added support for Fuji Xerox DocuPrint P205
    - Bug fixes.
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/patches/10-makefile.patch: Refreshed with quilt.
  * debian/patches/90-manpages.patch: Updated as some issues got fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 26 Aug 2013 11:10:52 +0200

foo2zjs (20130513dfsg0-1) unstable; urgency=low

  * New 20130513 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2013 11:21:27 +0200

foo2zjs (20130306dfsg0-2) experimental; urgency=low

  [ Till Kamppeter ]
  * Removed "Recommends: foomatic-db-engine" (LP: #1152831)

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Mar 2013 12:43:40 +0100

=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 ghostscript,
 foomatic-filters,
 foomatic-db-engine,
 libcups2-dev,
 dc,
 time,
 pyppd (>= 0.4.9-6~),
 libjbig-dev
Standards-Version: 3.9.3
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

Package: printer-driver-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc
Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
Suggests: psutils, hannah-foo2zjs, tk8.4, tix
Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
Replaces: foo2zjs (<< 20111023dfsg0-1~)
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hblp2, foo2hiperc,
 foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The psutils package is needed to enable n-up printing support.

Package: foo2zjs
Depends: printer-driver-foo2zjs, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for foo2zjs printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-foo2zjs.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ 

override_dh_auto_build:
	cp printer-profile.in printer-profile
	dh_auto_build -- all ppd

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp/usr MODEL=$(CURDIR)/debian/tmp/usr/share/cups/model FOODB=$(CURDIR)/debian/tmp/usr/share/foomatic/db/source PPD=$(CURDIR)/debian/tmp/usr/share/ppd CUPS_SERVERBIN=$(CURDIR)/debian/tmp/usr/lib/cups DOCDIR=$(CURDIR)/debian/tmp/usr/share/doc/printer-driver-foo2zjs

override_dh_install:
	### patches/20-honour-papersize.patch
	# Add support for /etc/papersize to all wrapper scripts. In contrary
	# to a patch this will automatically apply to every new wrapper script
	# which gets added to this package in the future.
	perl -p -i -e 's/^PAPER=(\d+)\s*$$/test -r \/etc\/papersize && PAPER=\x24\(cat \/etc\/papersize\)\ntest "\x24PAPER" || PAPER=\1\n/' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Add "-dNOINTERPOLATE" to the Ghostscript command lines to make
	# Ghostscript rendering the pages significantly faster
	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Legacy dh_install
	dh_install --fail-missing -Xusb_printerid -Xhplj10xx.rules -XINSTALL -XINSTALL.OSX -XCOPYING
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# usb_printerid is Linux-specific
	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
	# Use a policy-numbered name for the Linux-specific udev rules file
	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/printer-driver-foo2zjs/lib/udev/rules.d/85-hplj10xx.rules
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# /etc/devd/hplj10xx.conf is kFreeBSD-specific
	install -D -m 644 hplj10xx.conf $(CURDIR)/debian/printer-driver-foo2zjs/etc/devd/hplj10xx.conf
endif
	### patches/20-PDF-input-data-in-PPDs.patch
	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
	( cd $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/ppd/foo2zjs; \
	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
	)
	dh_pyppd
	# Install the apport hook on Ubuntu and derivatives
ifeq ($(derives_from_ubuntu),yes)
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
endif

override_dh_auto_test:
	# Run the tests in non-failing mode (they fail…)
	- dh_auto_test

override_dh_compress:
	dh_compress -X.pdf

override_dh_gencontrol:
ifeq ($(derives_from_ubuntu),yes)
	# Ubuntu considers mscompress to be a Depends of printer-driver-foo2zjs
	echo "ubuntu:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
else
	# Debian considers mscompress to be a Recommends of printer-driver-foo2zjs
	echo "debian:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
endif
	dh_gencontrol

override_dh_auto_clean:
	dh_auto_clean
	- rm -f 85-hplj10xx.rules

UPSTREAM_VERSION ?= `date +%Y%m%d`

get-orig-source:
	quilt pop -a
	rm -Rf .pc
	git checkout -f upstream
	wget -O ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz 'http://foo2zjs.rkkda.com/foo2zjs.tar.gz'
	git import-orig --no-pristine-tar --upstream-version=$(UPSTREAM_VERSION) --no-merge --upstream-branch=upstream-nodfsg ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz
	git merge upstream/$(UPSTREAM_VERSION)
	git tag upstream/$(UPSTREAM_VERSION)dfsg0
	git archive --format=tar --prefix=foo2zjs-$(UPSTREAM_VERSION)dfsg0/ upstream/$(UPSTREAM_VERSION)dfsg0 | xz -6e > ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz
	pristine-tar commit ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz upstream/$(UPSTREAM_VERSION)dfsg0
	git checkout -f master
	git merge upstream/$(UPSTREAM_VERSION)dfsg0

## foo2zjs 20131118dfsg0

=== debian/changelog ===
foo2zjs (20131118dfsg0-1) unstable; urgency=low

  * New 20131118 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Update patches to cope with new upstream release
  * Drop foo2zjs transitional package which reached stable

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 18:30:05 +0100

foo2zjs (20130813dfsg0-1) unstable; urgency=low

  * New 20130813 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Don't block the get-orig-source if no patches are applied
  * Rebuild against pyppd >= 1.0.1
  * Refresh patches for new upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Sep 2013 20:31:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcups2-dev,
  dc,
  time,
- pyppd (>= 0.4.9-6~),
+ pyppd (>= 1.0.1),
  libjbig-dev
 Standards-Version: 3.9.3
 Homepage: http://foo2zjs.rkkda.com/
@@ -35,12 +35,3 @@
  foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
  .
  The psutils package is needed to enable n-up printing support.
-
-Package: foo2zjs
-Depends: printer-driver-foo2zjs, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for foo2zjs printer driver
- This is a transitional dummy package to transition to uniformly named
- printer-driver-foo2zjs.

=== debian/rules ===
--- 
+++ 
@@ -71,8 +71,7 @@
 UPSTREAM_VERSION ?= `date +%Y%m%d`
 
 get-orig-source:
-	quilt pop -a
-	rm -Rf .pc
+	- quilt pop -af ; rm -Rf .pc
 	git checkout -f upstream
 	wget -O ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz 'http://foo2zjs.rkkda.com/foo2zjs.tar.gz'
 	git import-orig --no-pristine-tar --upstream-version=$(UPSTREAM_VERSION) --no-merge --upstream-branch=upstream-nodfsg ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz

## foo2zjs 20140209dfsg0

=== osx-hotplug/Makefile ===
LANG=C
UNAME := $(shell uname)
PREFIX= /usr
PREFIX= $(DESTDIR)/usr
BIN=    $(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
INSTALL=install
RC=/etc/rc.local

.SUFFIXES: .1 .1in

ifeq ($(UNAME),Darwin)
all:	osx-hplj-hotplug
else
all:
endif

osx-hplj-hotplug: osx-hplj-hotplug.o
	gcc osx-hplj-hotplug.o -o $@ \
	    -framework IOKit \
	    -framework Foundation \
	    -framework CoreFoundation

man:	osx-hplj-hotplug.1

.1in.1: 
	-rm -f $*.1
	MODver=$(VERSION); \
	../includer-man -v DEF1=$(OLDGROFF) $*.1in | sed > $*.1 \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e "s@\$${URLHP}@$(URLHP)@" \
	    -e "s@\$${URLXQX}@$(URLXQX)@" \
	    -e "s@\$${URLLAVA}@$(URLLAVA)@" \
	    -e "s@\$${URLQPDL}@$(URLQPDL)@" \
	    -e "s@\$${URLSLX}@$(URLSLX)@" \
	    -e "s@\$${URLHC}@$(URLHC)@" \
	    -e "s/\$${MODver}/$$MODver/"
	chmod -w $*.1

install: all
	$(INSTALL) -c osx-hplj-hotplug $(BIN)/

install-hotplug:
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "\$$a"; \
		echo "# BEGIN osx-hplj-hotplug from foo2zjs"; \
		echo "	killall osx-hplj-hotplug"; \
		echo "	osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &"; \
		echo "# END osx-hplj-hotplug from foo2zjs"; \
		echo "."; \
		echo "w"; \
	) | ex $(RC)
	-killall osx-hplj-hotplug
	nohup osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &

install-man: man
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(MANDIR)/man1/
	$(INSTALL) -c -m 644 osx-hplj-hotplug.1 $(MANDIR)/man1/

clean:
	rm -f *.o *.1

uninstall:
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "w"; \
	) | ex $(RC)
	-rm -f $(BIN)/osx-hplj-hotplug

=== debian/changelog ===
foo2zjs (20140209dfsg0-1ubuntu1) trusty; urgency=medium

  [ Matthias Klose ]
  * printer-driver-foo2zjs-common: Suggest tix instead of recommending it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Feb 2013 23:59:59 +0100

foo2zjs (20140209dfsg0-1) unstable; urgency=medium

  * New 20140209 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Use dh_pyppd's --archive-filename option instead of renaming the
    archive by hand
  * Refresh patches, update the spelling fixes'
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Feb 2014 09:57:22 +0100

foo2zjs (20131225dfsg0-6) unstable; urgency=low

  * Move the ppd-updater cups trigger to -common, where it belongs

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 11:24:02 +0100

foo2zjs (20131225dfsg0-5) unstable; urgency=low

  * Add dh_listpackage package conditionals to fix arch-only FTBFS
  * Add lintian override for manpages not shipped in the same binary
    package

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 10:12:49 +0100

foo2zjs (20131225dfsg0-4) unstable; urgency=low

  * Correct the name of the pyppd-compressed PPD set to correspond to
    the earlier ppd-updater driver name, thanks to Till Kamppeter
  * Let printer-driver-foo2zjs-common Recommend printer-driver-foo2zjs

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jan 2014 22:32:17 +0100

foo2zjs (20131225dfsg0-3) unstable; urgency=low

  * Fix the patch to avoid the implicit declaration of swab() in
    cmsio1.c

 -- Didier Raboud <odyx@debian.org>  Wed, 08 Jan 2014 12:52:44 +0100

foo2zjs (20131225dfsg0-2) unstable; urgency=low

  * Split printer-driver-foo2zjs into -common to let all
    arch-independent files be shared across architectures
  * Fix leftover 'supress' typo in oakdecode

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 17:44:09 +0100

foo2zjs (20131225dfsg0-1) unstable; urgency=low

  * New 20131325 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  
  * Refresh all patches
  * Add patch to avoid the implicit declaration of swab() in cmsio1.c
  * Update Makefile patch to push CPPFLAGS and LDFLAGS to all needed
    places
  * Move getweb from usr/bin/ to usr/sbin/ as it needs to be run by root
    (as patched by Debian)
  * Stop installing the upstream changelog twice
  * Update 90-manpages patch to fix more errors and all hyphen-as-minus-
    sign occurences
  * Update 91-spelling-fixes to fix more occurences of 'langauge' or
    'similiar'
  * Move hplj1000 and all linked scripts from /usr/sbin/ to /lib/udev as
    they are called by the package udev rules-file
  * Add lintian override for /lib/firmware/hp empty directory
  * Only ship command2foo2lava-pjl in cups filters

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 15:43:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
  libcups2-dev,
  dc,
  time,
- pyppd (>= 1.0.1),
+ pyppd (>= 1.0.2-1~),
  libjbig-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://foo2zjs.rkkda.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version})
 Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
-Suggests: psutils, hannah-foo2zjs, tk8.4, tix
+Suggests: psutils, hannah-foo2zjs
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
 Replaces: foo2zjs (<< 20111023dfsg0-1~)
 Description: printer driver for ZjStream-based printers
@@ -35,3 +35,21 @@
  foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
  .
  The psutils package is needed to enable n-up printing support.
+
+Package: printer-driver-foo2zjs-common
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: tk, printer-driver-foo2zjs (>= ${source:Version})
+Suggests: tix
+Enhances: printer-driver-foo2zjs (>= ${source:Version})
+Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
+Replaces: foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
+Description: printer driver for ZjStream-based printers - common files
+ foo2zjs is an open source printer driver for printers that use the
+ Zenographics ZjStream wire protocol for their print data, such as the
+ Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
+ HP LaserJet 1000/1005/1018/1020/1022. These printers are often
+ erroneously referred to as "winprinters" or "GDI printers".
+ .
+ This package contains the architecture-independent files for
+ printer-driver-foo2zjs.

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,20 @@
 	# Ghostscript rendering the pages significantly faster
 	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
 	# Legacy dh_install
-	dh_install --fail-missing -Xusb_printerid -Xhplj10xx.rules -XINSTALL -XINSTALL.OSX -XCOPYING
+	dh_install --fail-missing \
+		-Xusb_printerid \
+		-Xhplj10xx.rules \
+		-XINSTALL \
+		-XINSTALL.OSX \
+		-XCOPYING \
+		-XChangeLog \
+		-Xcups/filter/command2foo2lava-pjl 
+
+ifneq (,$(filter printer-driver-foo2zjs, $(shell dh_listpackages)))
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# usb_printerid is Linux-specific
 	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
-	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
+	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/man/man1/usb_printerid.1
 	# Use a policy-numbered name for the Linux-specific udev rules file
 	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/printer-driver-foo2zjs/lib/udev/rules.d/85-hplj10xx.rules
 endif
@@ -35,13 +44,18 @@
 	# /etc/devd/hplj10xx.conf is kFreeBSD-specific
 	install -D -m 644 hplj10xx.conf $(CURDIR)/debian/printer-driver-foo2zjs/etc/devd/hplj10xx.conf
 endif
+endif
+
+ifneq (,$(filter printer-driver-foo2zjs-common, $(shell dh_listpackages)))
 	### patches/20-PDF-input-data-in-PPDs.patch
 	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
-	( cd $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/ppd/foo2zjs; \
+	( cd $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/ppd/foo2zjs; \
 	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
 	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
 	)
-	dh_pyppd
+	# Correct the name of the pyppd-compressed PPD set to correspond to the earlier ppd-updater driver name
+	dh_pyppd --archive-filename=foo2zjs
+endif
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py

## foo2zjs 20140519dfsg0

=== debian/changelog ===
foo2zjs (20140519dfsg0-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Use the Debian-provided liblcms1
    - Add liblcms1-dev to Build-Depends;
    - Add 20-system-liblcms.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Aug 2014 16:59:15 +0200

foo2zjs (20140519dfsg0-1) unstable; urgency=medium

  * New 20140519 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches to fix three more typos and hyphen-as-minus.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jun 2014 14:57:56 +0200

foo2zjs (20140322dfsg0-1) unstable; urgency=medium

  * New 20140322 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 13:14:56 +0100

foo2zjs (20140302dfsg0-1) unstable; urgency=medium

  * New 20140302 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 17:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
  foomatic-filters,
  foomatic-db-engine,
  libcups2-dev,
+ liblcms1-dev,
  dc,
  time,
  pyppd (>= 1.0.2-1~),
  libjbig-dev
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.5
 Homepage: http://foo2zjs.rkkda.com/
-Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/printing/foo2zjs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/foo2zjs.git
 
 Package: printer-driver-foo2zjs
 Architecture: any
@@ -39,8 +41,7 @@
 Package: printer-driver-foo2zjs-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: tk, printer-driver-foo2zjs (>= ${source:Version})
-Suggests: tix
+Recommends: tix, tk, printer-driver-foo2zjs (>= ${source:Version})
 Enhances: printer-driver-foo2zjs (>= ${source:Version})
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
 Replaces: foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)

## foo2zjs 20140925dfsg0

=== debian/changelog ===
foo2zjs (20140925dfsg0-3) unstable; urgency=medium

  [ Peter De Wachter ]
  * Fix laserjet1018 appearance and disappearance loop: (Closes: #663868)
    - update the 30-udev-rules.patch to add an 'ACTION="add"' to avoid running
      the firmware upload script on unplug,
    - add patch 97-hplj1000-fix-firmware-upload-infite-loop.patch to ignore the
      irrelevant events and thus cut the loop short.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Oct 2014 22:51:47 +0200

foo2zjs (20140925dfsg0-2) unstable; urgency=medium

  * Put tix to Recommends on Debian and to Suggests on Ubuntu and derivatives

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 18:03:18 +0200

foo2zjs (20140925dfsg0-1) unstable; urgency=medium

  * New 20140925 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Push the system-lcms patch from Michael up the pile

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 09:58:06 +0200

foo2zjs (20140519dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use psicc from lcms2 (closes: #757384).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:34:38 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  foomatic-filters,
  foomatic-db-engine,
  libcups2-dev,
- liblcms1-dev,
+ liblcms2-utils,
  dc,
  time,
  pyppd (>= 1.0.2-1~),
@@ -21,7 +21,7 @@
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
 Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
 Suggests: psutils, hannah-foo2zjs
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
@@ -41,7 +41,8 @@
 Package: printer-driver-foo2zjs-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: tix, tk, printer-driver-foo2zjs (>= ${source:Version})
+Recommends: ${debian:tix}, tk, printer-driver-foo2zjs (>= ${source:Version})
+Suggests: ${ubuntu:tix}
 Enhances: printer-driver-foo2zjs (>= ${source:Version})
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
 Replaces: foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,13 @@
 	# Debian considers mscompress to be a Recommends of printer-driver-foo2zjs
 	echo "debian:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
 endif
+ifeq ($(derives_from_ubuntu),yes)
+	# Ubuntu considers tix to be a Suggest of printer-driver-foo2zjs
+	echo "ubuntu:tix=tix" >> debian/printer-driver-foo2zjs.substvars
+else
+	# Debian considers tix to be a Depends of printer-driver-foo2zjs
+	echo "debian:tix=tix" >> debian/printer-driver-foo2zjs.substvars
+endif
 	dh_gencontrol
 
 override_dh_auto_clean:

## foo2zjs 20150214dfsg0

=== Makefile ===
--- 
+++ 
@@ -200,6 +200,7 @@
 		osx-hotplug/Makefile \
 		osx-hotplug/*.m \
 		osx-hotplug/*.1in \
+		osx-hotplug/*.plist \
 		ppd-adjust \
 		PPD/*.ppd \
 		crd/zjs/*.crd \
@@ -502,4 +503,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2qpdl-wrapper: foo2qpdl-wrapper.in Makefile

=== debian/changelog ===
foo2zjs (20150214dfsg0-0ubuntu1) vivid; urgency=medium

  * New 20150214 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 14 Feb 2015 09:57:53 -0200

## foo2zjs 20150819dfsg0

=== debian/changelog ===
foo2zjs (20150819dfsg0-0ubuntu1) wily; urgency=medium

  * New 20150819 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Aug 2015 19:40:58 -0300

## foo2zjs 20151024dfsg0

=== icc2ps/Makefile ===
UNAME := $(shell uname)

PREFIX=	/usr
PREFIX=	$(DESTDIR)/usr
BIN=	$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

SRC=	icc2ps.c xgetopt.c
LIB=	cmscam97.c cmscnvrt.c cmserr.c cmsgamma.c cmsgmt.c cmsintrp.c cmsio1.c \
	cmslut.c cmsmatsh.c cmsmtrx.c cmsnamed.c cmspack.c cmspcs.c cmsps2.c \
	cmssamp.c cmswtpnt.c cmsxform.c cmsio0.c cmsvirt.c
CFLAGS=	-O3
INSTALL=install
ifeq ($(UNAME),SunOS)
    INSTALL=/usr/ucb/install
    CC=gcc
endif

.SUFFIXES: .1 .1in

all: foo2zjs-icc2ps man

foo2zjs-icc2ps: $(SRC) $(LIB)
	$(CC) $(CFLAGS) $(SRC) $(LIB) -lm -o $@

install: all
	$(INSTALL) -c foo2zjs-icc2ps $(BIN)

man:	foo2zjs-icc2ps.1

.1in.1: 
	-rm -f $*.1
	MODver=$(VERSION); \
	../includer-man -v DEF1=$(OLDGROFF) $*.1in | sed > $*.1 \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e "s@\$${URLHP}@$(URLHP)@" \
	    -e "s@\$${URLXQX}@$(URLXQX)@" \
	    -e "s@\$${URLLAVA}@$(URLLAVA)@" \
	    -e "s@\$${URLQPDL}@$(URLQPDL)@" \
	    -e "s@\$${URLSLX}@$(URLSLX)@" \
	    -e "s@\$${URLHC}@$(URLHC)@" \
	    -e "s/\$${MODver}/$$MODver/"
	chmod -w $*.1

install-man: man
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(MANDIR)/man1/
	$(INSTALL) -c -m 644 foo2zjs-icc2ps.1 $(MANDIR)/man1/

clean:
	rm -f *.o foo2zjs-icc2ps *.1

foo2zjs-icc2ps: icc34.h lcms.h

regress: all
	@./foo2zjs-icc2ps a b 2>&1 | grep "little cms P"
	@for i in ../icm/*.icm; do \
	    b=`basename $$i`; \
	    ./foo2zjs-icc2ps -o $$i -t0 | grep -v Created >$$b.ps; \
	    md5sum $$b.ps; \
	done
	@rm -f *icm.ps

=== osx-hotplug/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(INSTALL) -c osx-hplj-hotplug $(BIN)/
 
 install-hotplug:
+	$(INSTALL) -c local.localhost.startup.plist /Library/LaunchDaemons/
 	( \
 		echo "g/osx-hplj-hotplug/d"; \
 		echo "\$$a"; \
@@ -52,6 +53,7 @@
 		echo "."; \
 		echo "w"; \
 	) | ex $(RC)
+	chmod +x $(RC)
 	-killall osx-hplj-hotplug
 	nohup osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &

=== debian/changelog ===
foo2zjs (20151024dfsg0-1ubuntu1) xenial; urgency=medium

  * Explicitly prefer cups-filters as the real provider of foomatic-filters;
    it's already the one in Ubuntu main.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2016 12:08:30 +0100

foo2zjs (20151024dfsg0-1) unstable; urgency=medium

  * New 20151024 upstream release
    - New Printer: Epson AcuLaser CX17NF using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Dec 2015 17:29:39 +0100

foo2zjs (20150704dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Sep 2015 18:02:31 +0200

foo2zjs (20150704dfsg0-1) experimental; urgency=low

  * New 20150704 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Add gbp.conf
  * Bump Standards-Version to 3.9.6 without changes needed
  * Update the Vcs-* entries for the https variants

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2015 13:48:47 +0200

foo2zjs (20150511dfsg0-1) unstable; urgency=medium

  * New 20150511 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Update get-orig-source to cope with the new branch names

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jul 2015 17:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: foo2zjs
 Section: text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  ghostscript,
- foomatic-filters,
+ cups-filters | foomatic-filters,
  foomatic-db-engine,
  libcups2-dev,
  liblcms2-utils,
@@ -14,14 +15,14 @@
  pyppd (>= 1.0.2-1~),
  libjbig-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://foo2zjs.rkkda.com/
-Vcs-Git: https://alioth.debian.org/anonscm/git/printing/foo2zjs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/foo2zjs.git
+Vcs-Git: https://anonscm.debian.org/git/printing/foo2zjs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/printing/foo2zjs.git
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, cups-filters | foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
 Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
 Suggests: psutils, hannah-foo2zjs
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)

=== debian/rules ===
--- 
+++ 
@@ -93,12 +93,12 @@
 
 get-orig-source:
 	- quilt pop -af ; rm -Rf .pc
-	git checkout -f upstream
+	git checkout -f upstream/latest
 	wget -O ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz 'http://foo2zjs.rkkda.com/foo2zjs.tar.gz'
-	git import-orig --no-pristine-tar --upstream-version=$(UPSTREAM_VERSION) --no-merge --upstream-branch=upstream-nodfsg ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz
+	gbp import-orig --no-pristine-tar --upstream-version=$(UPSTREAM_VERSION) --no-merge --upstream-branch=upstream/nodfsg ../foo2zjs_$(UPSTREAM_VERSION).orig.tar.gz
 	git merge upstream/$(UPSTREAM_VERSION)
 	git tag upstream/$(UPSTREAM_VERSION)dfsg0
 	git archive --format=tar --prefix=foo2zjs-$(UPSTREAM_VERSION)dfsg0/ upstream/$(UPSTREAM_VERSION)dfsg0 | xz -6e > ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz
 	pristine-tar commit ../foo2zjs_$(UPSTREAM_VERSION)dfsg0.orig.tar.xz upstream/$(UPSTREAM_VERSION)dfsg0
-	git checkout -f master
+	git checkout -f debian/master
 	git merge upstream/$(UPSTREAM_VERSION)dfsg0

=== debian/tests/control ===
Tests: printer-driver-foo2zjs
Restrictions: needs-root
Depends: printer-driver-foo2zjs, cups, cups-client (>= 1.7.3-5~)

=== debian/watch ===
# We track foo2zjs SVN revisions, thus no need for a watch file.

## foo2zjs 20160313dfsg0

=== debian/changelog ===
foo2zjs (20160313dfsg0-2) unstable; urgency=medium

  [ Colin Watson ]
  * Explicitly prefer cups-filters as the real provider of foomatic-filters

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jun 2016 15:06:36 +0200

foo2zjs (20160313dfsg0-1) unstable; urgency=medium

  * New 20160313 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Bump S-V to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Apr 2016 22:04:14 +0200

foo2zjs (20151024dfsg0-2) unstable; urgency=medium

  * Add patch to build manpages & manual reproducibly

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Feb 2016 11:35:42 +0100
